Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api.script.eventadapter
Class DataSourceEventAdapter

    java.lang.Object
      org.eclipse.birt.report.engine.api.script.eventadapter.DataSourceEventAdapter

All Implemented Interfaces:
  IDataSourceEventHandler

Direct Known Subclasses:
  ScriptedDataSourceEventAdapter

    public class DataSourceEventAdapter

extends java.lang.Object
implements IDataSourceEventHandler

Default (empty) implementation of the IDataSourceEventHandler interface

Constructor Summary
`DataSourceEventAdapter()`

Method Summary
`void` | `afterClose(IReportContext reportContext)` Handle the afterClose event
`void` | `afterOpen(IDataSourceInstance dataSource, IReportContext reportContext)` Handle the afterOpen event
`void` | `beforeClose(IDataSourceInstance dataSource, IReportContext reportContext)` Handle the beforeClose event
`void` | `beforeOpen(IDataSourceInstance dataSource, IReportContext reportContext)` Handle the beforeOpen event

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataSourceEventAdapter

    public DataSourceEventAdapter()

Method Detail

### beforeOpen

    public void beforeOpen(IDataSourceInstance dataSource,
                           IReportContext reportContext)
                    throws ScriptException

  Description copied from interface: `IDataSourceEventHandler`
  Handle the beforeOpen event

  Specified by:
    `beforeOpen` in interface `IDataSourceEventHandler`
  Throws:
    `ScriptException`

### afterOpen

    public void afterOpen(IDataSourceInstance dataSource,
                          IReportContext reportContext)
                   throws ScriptException

  Description copied from interface: `IDataSourceEventHandler`
  Handle the afterOpen event

  Specified by:
    `afterOpen` in interface `IDataSourceEventHandler`
  Throws:
    `ScriptException`

### beforeClose

    public void beforeClose(IDataSourceInstance dataSource,
                            IReportContext reportContext)
                     throws ScriptException

  Description copied from interface: `IDataSourceEventHandler`
  Handle the beforeClose event

  Specified by:
    `beforeClose` in interface `IDataSourceEventHandler`
  Throws:
    `ScriptException`

### afterClose

    public void afterClose(IReportContext reportContext)
                    throws ScriptException

  Description copied from interface: `IDataSourceEventHandler`
  Handle the afterClose event

  Specified by:
    `afterClose` in interface `IDataSourceEventHandler`
  Throws:
    `ScriptException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.